﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.ObjectModel;
using Xamarin.Forms;

namespace SimpleSample
{
    public class ChartSample : ContentPage
    {        
        public ChartSample()
        {           
            SfChart chart = new SfChart();
            
            NumericalAxis primaryAxis = new NumericalAxis();            
            chart.PrimaryAxis = primaryAxis;

            NumericalAxis secondaryAxis = new NumericalAxis();
            chart.SecondaryAxis = secondaryAxis;

            ObservableCollection<ChartDataPoint> data = new ObservableCollection<ChartDataPoint>();
            data.Add(new ChartDataPoint(1, 70));
            data.Add(new ChartDataPoint(2, 20));
            data.Add(new ChartDataPoint(3, 21));
            data.Add(new ChartDataPoint(48, 38));
            data.Add(new ChartDataPoint(66, 22));

            SplineSeries series = new SplineSeries();
            series.ItemsSource = data;
            series.DataMarker = new ChartDataMarker();
            series.DataMarker.ShowLabel = false;
            series.DataMarker.ShowMarker = true;
            series.DataMarker.MarkerHeight = 2;
            series.DataMarker.MarkerWidth = 2;

            chart.Series.Add(series);
            Content = chart;
        }
    }
}

